Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_gpio_port_config_t Struct Reference
GPIO

GPIO port configuration type. More...

`#include <qm_gpio.h>`

## Data Fields
uint32_t | direction
| GPIO direction, 0b: input, 1b: output. More...
uint32_t | int_en
| Interrupt enable. More...
uint32_t | int_type
| Interrupt type, 0b: level; 1b: edge. More...
uint32_t | int_polarity
| Interrupt polarity, 0b: low, 1b: high. More...
uint32_t | int_debounce
| Interrupt debounce on/off. More...
uint32_t | int_bothedge
| Interrupt on rising and falling edges. More...
void(* | callback )(void *data, uint32_t int_status)
| Transfer callback. More...
void * | callback_data
| Callback user data. More...

## Detailed Description

GPIO port configuration type.

Each bit in the registers control a GPIO pin.

Definition at line 32 of file qm_gpio.h.

## Field Documentation

void(* qm_gpio_port_config_t::callback)(void *data, uint32_t int_status)

Transfer callback.

Parameters

  [in] | data | Callback user data.
  [in] | int_status | GPIO interrupt status.

Definition at line 46 of file qm_gpio.h.

Referenced by qm_gpio_set_config().

void* qm_gpio_port_config_t::callback_data

Callback user data.

Definition at line 47 of file qm_gpio.h.

Referenced by qm_gpio_set_config().

uint32_t qm_gpio_port_config_t::direction

GPIO direction, 0b: input, 1b: output.

Definition at line 33 of file qm_gpio.h.

Referenced by qm_gpio_set_config().

uint32_t qm_gpio_port_config_t::int_bothedge

Interrupt on rising and falling edges.

Definition at line 38 of file qm_gpio.h.

Referenced by qm_gpio_set_config().

uint32_t qm_gpio_port_config_t::int_debounce

Interrupt debounce on/off.

Definition at line 37 of file qm_gpio.h.

Referenced by qm_gpio_set_config().

uint32_t qm_gpio_port_config_t::int_en

Interrupt enable.

Definition at line 34 of file qm_gpio.h.

Referenced by qm_gpio_set_config().

uint32_t qm_gpio_port_config_t::int_polarity

Interrupt polarity, 0b: low, 1b: high.

Definition at line 36 of file qm_gpio.h.

Referenced by qm_gpio_set_config().

uint32_t qm_gpio_port_config_t::int_type

Interrupt type, 0b: level; 1b: edge.

Definition at line 35 of file qm_gpio.h.

Referenced by qm_gpio_set_config().